Bug 493697 - Fedora 11 beta 2.6.29 kernel bug with mptsas driver
Fedora 11 beta 2.6.29 kernel bug with mptsas driver
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
11
x86_64 Linux
low Severity medium
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-04-02 13:43 EDT by mstevens
Modified: 2010-06-28 07:40 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-06-28 07:40:13 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description mstevens 2009-04-02 13:43:10 EDT
Description of problem:

There are some dmesg errors with linux 2.6.29-0.258.2.3.rc8.git2.fc11.x86_64

Version-Release number of selected component (if applicable):

Fedora 11 beta live cd

Actual results:

------------[ cut here ]------------
WARNING: at lib/debugobjects.c:253 __debug_object_init+0x2a0/0x33d() (Not tainted)
Hardware name: Precision WorkStation T7400  
Modules linked in: ext4 jbd2 crc16 squashfs firewire_ohci(+) pata_acpi firewire_core mptsas(+) crc_itu_t ata_generic mptscsih nouveau mptbase scsi_transport_sas drm i2c_core
Pid: 36, comm: work_on_cpu/0 Not tainted 2.6.29-0.258.2.3.rc8.git2.fc11.x86_64 #1
Call Trace:
 [<ffffffff8104bae3>] warn_slowpath+0xbc/0xf0
 [<ffffffff8104c0ba>] ? release_console_sem+0x1c3/0x1f4
 [<ffffffff8101781b>] ? native_sched_clock+0x2d/0x5a
 [<ffffffff81393b9b>] ? printk+0x41/0x46
 [<ffffffff811a2a44>] __debug_object_init+0x2a0/0x33d
 [<ffffffff811a2b0e>] debug_object_init+0x14/0x16
 [<ffffffff81055ea2>] init_timer+0x1d/0x60
 [<ffffffffa005423c>] mpt_config+0x1d2/0x2e6 [mptbase]
 [<ffffffff8106f9d6>] ? mark_held_locks+0x68/0x86
 [<ffffffffa0054729>] mpt_findImVolumes+0xa1/0x484 [mptbase]
 [<ffffffff8106fbf9>] ? trace_hardirqs_on+0xd/0xf
 [<ffffffff811a223a>] ? free_object+0x84/0xba
 [<ffffffff811a24eb>] ? debug_object_free+0xd0/0xe9
 [<ffffffff81055a55>] ? destroy_timer_on_stack+0x15/0x17
 [<ffffffff81394975>] ? schedule_timeout+0xa4/0xc0
 [<ffffffff810560d0>] ? process_timeout+0x0/0x10
 [<ffffffff8106f617>] ? mark_lock+0x28/0x37f
 [<ffffffff8105679b>] ? __mod_timer+0x21/0xd2
 [<ffffffff81056867>] ? msleep+0x1b/0x22
 [<ffffffffa0052626>] ? WaitForDoorbellInt+0x56/0xd0 [mptbase]
 [<ffffffff8106f617>] ? mark_lock+0x28/0x37f
 [<ffffffff8106fd2c>] ? debug_check_no_locks_freed+0x131/0x149
 [<ffffffff8106fbc8>] ? trace_hardirqs_on_caller+0x12f/0x153
 [<ffffffff8106e298>] ? static_obj+0x74/0x80
 [<ffffffff8106e975>] ? lockdep_init_map+0x93/0x102
 [<ffffffff8106d581>] ? debug_mutex_init+0x31/0x44
 [<ffffffffa0057a74>] mpt_do_ioc_recovery+0x824/0x1560 [mptbase]
 [<ffffffff8106f617>] ? mark_lock+0x28/0x37f
 [<ffffffff8105eb80>] ? __kernel_text_address+0x42/0x4d
 [<ffffffff81014d35>] ? print_context_stack+0xae/0xcd
 [<ffffffff81014252>] ? dump_trace+0x256/0x268
 [<ffffffff8106deaf>] ? find_usage_backwards+0x3b/0x103
 [<ffffffff8101c37f>] ? save_stack_trace+0x2f/0x4c
 [<ffffffff8106ea23>] ? save_trace+0x3f/0x95
 [<ffffffff8106f617>] ? mark_lock+0x28/0x37f
 [<ffffffff8106f617>] ? mark_lock+0x28/0x37f
 [<ffffffff8106f617>] ? mark_lock+0x28/0x37f
 [<ffffffff8106f9d6>] ? mark_held_locks+0x68/0x86
 [<ffffffff813967de>] ? _spin_unlock_irqrestore+0x48/0x58
 [<ffffffff8106fbc8>] ? trace_hardirqs_on_caller+0x12f/0x153
 [<ffffffff8106fbf9>] ? trace_hardirqs_on+0xd/0xf
 [<ffffffff8119bc2d>] ? __up_read+0x76/0x7f
 [<ffffffff810645dc>] ? up_read+0x2b/0x2f
 [<ffffffffa005951d>] mpt_attach+0x8b2/0xa11 [mptbase]
 [<ffffffff8105cac4>] ? do_work_for_cpu+0x0/0x20
 [<ffffffffa00dd5a7>] mptsas_probe+0x1e/0x46e [mptsas]
 [<ffffffff8105cac4>] ? do_work_for_cpu+0x0/0x20
 [<ffffffff811ad085>] local_pci_probe+0x17/0x1b
 [<ffffffff8105cadc>] do_work_for_cpu+0x18/0x20
 [<ffffffff8105ccb0>] run_workqueue+0xfd/0x1fd
 [<ffffffff8105cc5f>] ? run_workqueue+0xac/0x1fd
 [<ffffffff8106fbc8>] ? trace_hardirqs_on_caller+0x12f/0x153
 [<ffffffff8105ce9f>] worker_thread+0xef/0x100
 [<ffffffff81060d46>] ? autoremove_wake_function+0x0/0x39
 [<ffffffff8105cdb0>] ? worker_thread+0x0/0x100
 [<ffffffff8105cdb0>] ? worker_thread+0x0/0x100
 [<ffffffff810609ad>] kthread+0x4d/0x78
 [<ffffffff810126aa>] child_rip+0xa/0x20
 [<ffffffff8100f88b>] ? __switch_to+0x190/0x398
 [<ffffffff81011fbe>] ? restore_args+0x0/0x30
 [<ffffffff81060960>] ? kthread+0x0/0x78
 [<ffffffff810126a0>] ? child_rip+0x0/0x20
---[ end trace 67afa24243f21d1b ]---
ODEBUG: object is on stack, but not annotated
------------[ cut here ]------------
WARNING: at lib/debugobjects.c:253 __debug_object_init+0x2a0/0x33d() (Tainted: G        W )
Hardware name: Precision WorkStation T7400  
Modules linked in: ext4 jbd2 crc16 squashfs firewire_ohci(+) pata_acpi firewire_core mptsas(+) crc_itu_t ata_generic mptscsih nouveau mptbase scsi_transport_sas drm i2c_core
Pid: 36, comm: work_on_cpu/0 Tainted: G        W  2.6.29-0.258.2.3.rc8.git2.fc11.x86_64 #1
Call Trace:
 [<ffffffff8104bae3>] warn_slowpath+0xbc/0xf0
 [<ffffffff8104c0ba>] ? release_console_sem+0x1c3/0x1f4
 [<ffffffff81071064>] ? print_lock_contention_bug+0x1b/0xe1
 [<ffffffff811a2ab9>] ? __debug_object_init+0x315/0x33d
 [<ffffffff81393b9b>] ? printk+0x41/0x46
 [<ffffffff811a2a44>] __debug_object_init+0x2a0/0x33d
 [<ffffffff811a2b0e>] debug_object_init+0x14/0x16
 [<ffffffff81055ea2>] init_timer+0x1d/0x60
 [<ffffffffa005423c>] mpt_config+0x1d2/0x2e6 [mptbase]
 [<ffffffff8106fbf9>] ? trace_hardirqs_on+0xd/0xf
 [<ffffffffa0054833>] mpt_findImVolumes+0x1ab/0x484 [mptbase]
 [<ffffffff8106fbf9>] ? trace_hardirqs_on+0xd/0xf
 [<ffffffff811a24eb>] ? debug_object_free+0xd0/0xe9
 [<ffffffff81055a55>] ? destroy_timer_on_stack+0x15/0x17
 [<ffffffff81394975>] ? schedule_timeout+0xa4/0xc0
 [<ffffffff810560d0>] ? process_timeout+0x0/0x10
 [<ffffffff8106f617>] ? mark_lock+0x28/0x37f
 [<ffffffff8105679b>] ? __mod_timer+0x21/0xd2
 [<ffffffffa0000000>] ? i2c_check_functionality+0x0/0x25 [i2c_core]
 [<ffffffffa0058979>] ? mpt_timer_expired+0x0/0x66 [mptbase]
 [<ffffffff8106fd2c>] ? debug_check_no_locks_freed+0x131/0x149
 [<ffffffff8106fbc8>] ? trace_hardirqs_on_caller+0x12f/0x153
 [<ffffffff8106e298>] ? static_obj+0x74/0x80
 [<ffffffff8106e975>] ? lockdep_init_map+0x93/0x102
 [<ffffffffa0057a74>] mpt_do_ioc_recovery+0x824/0x1560 [mptbase]
 [<ffffffff8106f617>] ? mark_lock+0x28/0x37f
 [<ffffffff8105eb80>] ? __kernel_text_address+0x42/0x4d
 [<ffffffff81014d35>] ? print_context_stack+0xae/0xcd
 [<ffffffff81014252>] ? dump_trace+0x256/0x268
 [<ffffffff8106deaf>] ? find_usage_backwards+0x3b/0x103
 [<ffffffff8101c37f>] ? save_stack_trace+0x2f/0x4c
 [<ffffffff8106ea23>] ? save_trace+0x3f/0x95
 [<ffffffff8106f617>] ? mark_lock+0x28/0x37f
 [<ffffffff8106f617>] ? mark_lock+0x28/0x37f
 [<ffffffff8106f617>] ? mark_lock+0x28/0x37f
 [<ffffffff8106f9d6>] ? mark_held_locks+0x68/0x86
 [<ffffffff813967de>] ? _spin_unlock_irqrestore+0x48/0x58
 [<ffffffff8106fbc8>] ? trace_hardirqs_on_caller+0x12f/0x153
 [<ffffffff8106fbf9>] ? trace_hardirqs_on+0xd/0xf
 [<ffffffff8119bc2d>] ? __up_read+0x76/0x7f
 [<ffffffff810645dc>] ? up_read+0x2b/0x2f
 [<ffffffffa005951d>] mpt_attach+0x8b2/0xa11 [mptbase]
 [<ffffffff8105cac4>] ? do_work_for_cpu+0x0/0x20
 [<ffffffffa00dd5a7>] mptsas_probe+0x1e/0x46e [mptsas]
 [<ffffffff8105cac4>] ? do_work_for_cpu+0x0/0x20
 [<ffffffff811ad085>] local_pci_probe+0x17/0x1b
 [<ffffffff8105cadc>] do_work_for_cpu+0x18/0x20
 [<ffffffff8105ccb0>] run_workqueue+0xfd/0x1fd
 [<ffffffff8105cc5f>] ? run_workqueue+0xac/0x1fd
 [<ffffffff8106fbc8>] ? trace_hardirqs_on_caller+0x12f/0x153
 [<ffffffff8105ce9f>] worker_thread+0xef/0x100
 [<ffffffff81060d46>] ? autoremove_wake_function+0x0/0x39
 [<ffffffff8105cdb0>] ? worker_thread+0x0/0x100
 [<ffffffff8105cdb0>] ? worker_thread+0x0/0x100
 [<ffffffff810609ad>] kthread+0x4d/0x78
 [<ffffffff810126aa>] child_rip+0xa/0x20
 [<ffffffff8100f88b>] ? __switch_to+0x190/0x398
 [<ffffffff81011fbe>] ? restore_args+0x0/0x30
 [<ffffffff81060960>] ? kthread+0x0/0x78
 [<ffffffff810126a0>] ? child_rip+0x0/0x20
---[ end trace 67afa24243f21d1c ]---
ODEBUG: object is on stack, but not annotated
------------[ cut here ]------------
WARNING: at lib/debugobjects.c:253 __debug_object_init+0x2a0/0x33d() (Tainted: G        W )
Hardware name: Precision WorkStation T7400  
Modules linked in: ext4 jbd2 crc16 squashfs firewire_ohci(+) pata_acpi firewire_core mptsas(+) crc_itu_t ata_generic mptscsih nouveau mptbase scsi_transport_sas drm i2c_core
Pid: 36, comm: work_on_cpu/0 Tainted: G        W  2.6.29-0.258.2.3.rc8.git2.fc11.x86_64 #1
Call Trace:
 [<ffffffff8104bae3>] warn_slowpath+0xbc/0xf0
 [<ffffffff8104c0ba>] ? release_console_sem+0x1c3/0x1f4
 [<ffffffff81071064>] ? print_lock_contention_bug+0x1b/0xe1
 [<ffffffff811a2ab9>] ? __debug_object_init+0x315/0x33d
 [<ffffffff81393b9b>] ? printk+0x41/0x46
 [<ffffffff811a2a44>] __debug_object_init+0x2a0/0x33d
 [<ffffffff811a2b0e>] debug_object_init+0x14/0x16
 [<ffffffff81055ea2>] init_timer+0x1d/0x60
 [<ffffffffa005423c>] mpt_config+0x1d2/0x2e6 [mptbase]
 [<ffffffff811a5f22>] ? swiotlb_free_coherent+0x6e/0x97
 [<ffffffffa0053207>] ? pci_free_consistent+0x8b/0x97 [mptbase]
 [<ffffffffa005495e>] mpt_findImVolumes+0x2d6/0x484 [mptbase]
 [<ffffffffa0058979>] ? mpt_timer_expired+0x0/0x66 [mptbase]
 [<ffffffffa0058979>] ? mpt_timer_expired+0x0/0x66 [mptbase]
 [<ffffffff8106fd2c>] ? debug_check_no_locks_freed+0x131/0x149
 [<ffffffff8106fbc8>] ? trace_hardirqs_on_caller+0x12f/0x153
 [<ffffffff8106e298>] ? static_obj+0x74/0x80
 [<ffffffff8106e975>] ? lockdep_init_map+0x93/0x102
 [<ffffffffa0057a74>] mpt_do_ioc_recovery+0x824/0x1560 [mptbase]
 [<ffffffff8106f617>] ? mark_lock+0x28/0x37f
 [<ffffffff8105eb80>] ? __kernel_text_address+0x42/0x4d
 [<ffffffff81014d35>] ? print_context_stack+0xae/0xcd
 [<ffffffff81014252>] ? dump_trace+0x256/0x268
 [<ffffffff8106deaf>] ? find_usage_backwards+0x3b/0x103
 [<ffffffff8101c37f>] ? save_stack_trace+0x2f/0x4c
 [<ffffffff8106ea23>] ? save_trace+0x3f/0x95
 [<ffffffff8106f617>] ? mark_lock+0x28/0x37f
 [<ffffffff8106f617>] ? mark_lock+0x28/0x37f
 [<ffffffff8106f617>] ? mark_lock+0x28/0x37f
 [<ffffffff8106f9d6>] ? mark_held_locks+0x68/0x86
 [<ffffffff813967de>] ? _spin_unlock_irqrestore+0x48/0x58
 [<ffffffff8106fbc8>] ? trace_hardirqs_on_caller+0x12f/0x153
 [<ffffffff8106fbf9>] ? trace_hardirqs_on+0xd/0xf
 [<ffffffff8119bc2d>] ? __up_read+0x76/0x7f
 [<ffffffff810645dc>] ? up_read+0x2b/0x2f
 [<ffffffffa005951d>] mpt_attach+0x8b2/0xa11 [mptbase]
 [<ffffffff8105cac4>] ? do_work_for_cpu+0x0/0x20
 [<ffffffffa00dd5a7>] mptsas_probe+0x1e/0x46e [mptsas]
 [<ffffffff8105cac4>] ? do_work_for_cpu+0x0/0x20
 [<ffffffff811ad085>] local_pci_probe+0x17/0x1b
 [<ffffffff8105cadc>] do_work_for_cpu+0x18/0x20
 [<ffffffff8105ccb0>] run_workqueue+0xfd/0x1fd
 [<ffffffff8105cc5f>] ? run_workqueue+0xac/0x1fd
 [<ffffffff8106fbc8>] ? trace_hardirqs_on_caller+0x12f/0x153
 [<ffffffff8105ce9f>] worker_thread+0xef/0x100
 [<ffffffff81060d46>] ? autoremove_wake_function+0x0/0x39
 [<ffffffff8105cdb0>] ? worker_thread+0x0/0x100
 [<ffffffff8105cdb0>] ? worker_thread+0x0/0x100
 [<ffffffff810609ad>] kthread+0x4d/0x78
 [<ffffffff810126aa>] child_rip+0xa/0x20
 [<ffffffff8100f88b>] ? __switch_to+0x190/0x398
 [<ffffffff81011fbe>] ? restore_args+0x0/0x30
 [<ffffffff81060960>] ? kthread+0x0/0x78
 [<ffffffff810126a0>] ? child_rip+0x0/0x20
---[ end trace 67afa24243f21d1d ]---
ODEBUG: object is on stack, but not annotated
------------[ cut here ]------------
WARNING: at lib/debugobjects.c:253 __debug_object_init+0x2a0/0x33d() (Tainted: G        W )
Hardware name: Precision WorkStation T7400  
Modules linked in: ext4 jbd2 crc16 squashfs firewire_ohci(+) pata_acpi firewire_core mptsas(+) crc_itu_t ata_generic mptscsih nouveau mptbase scsi_transport_sas drm i2c_core
Pid: 36, comm: work_on_cpu/0 Tainted: G        W  2.6.29-0.258.2.3.rc8.git2.fc11.x86_64 #1
Call Trace:
 [<ffffffff8104bae3>] warn_slowpath+0xbc/0xf0
 [<ffffffff8104c0ba>] ? release_console_sem+0x1c3/0x1f4
 [<ffffffff81071064>] ? print_lock_contention_bug+0x1b/0xe1
 [<ffffffff811a2ab9>] ? __debug_object_init+0x315/0x33d
 [<ffffffff81393b9b>] ? printk+0x41/0x46
 [<ffffffff811a2a44>] __debug_object_init+0x2a0/0x33d
 [<ffffffff811a2b0e>] debug_object_init+0x14/0x16
 [<ffffffff81055ea2>] init_timer+0x1d/0x60
 [<ffffffffa005423c>] mpt_config+0x1d2/0x2e6 [mptbase]
 [<ffffffffa00584d0>] mpt_do_ioc_recovery+0x1280/0x1560 [mptbase]
 [<ffffffff8106f617>] ? mark_lock+0x28/0x37f
 [<ffffffff8105eb80>] ? __kernel_text_address+0x42/0x4d
 [<ffffffff81014d35>] ? print_context_stack+0xae/0xcd
 [<ffffffff81014252>] ? dump_trace+0x256/0x268
 [<ffffffff8106deaf>] ? find_usage_backwards+0x3b/0x103
 [<ffffffff8101c37f>] ? save_stack_trace+0x2f/0x4c
 [<ffffffff8106ea23>] ? save_trace+0x3f/0x95
 [<ffffffff8106f617>] ? mark_lock+0x28/0x37f
 [<ffffffff8106f617>] ? mark_lock+0x28/0x37f
 [<ffffffff8106f617>] ? mark_lock+0x28/0x37f
 [<ffffffff8106f9d6>] ? mark_held_locks+0x68/0x86
 [<ffffffff813967de>] ? _spin_unlock_irqrestore+0x48/0x58
 [<ffffffff8106fbc8>] ? trace_hardirqs_on_caller+0x12f/0x153
 [<ffffffff8106fbf9>] ? trace_hardirqs_on+0xd/0xf
 [<ffffffff8119bc2d>] ? __up_read+0x76/0x7f
 [<ffffffff810645dc>] ? up_read+0x2b/0x2f
 [<ffffffffa005951d>] mpt_attach+0x8b2/0xa11 [mptbase]
 [<ffffffff8105cac4>] ? do_work_for_cpu+0x0/0x20
 [<ffffffffa00dd5a7>] mptsas_probe+0x1e/0x46e [mptsas]
 [<ffffffff8105cac4>] ? do_work_for_cpu+0x0/0x20
 [<ffffffff811ad085>] local_pci_probe+0x17/0x1b
 [<ffffffff8105cadc>] do_work_for_cpu+0x18/0x20
 [<ffffffff8105ccb0>] run_workqueue+0xfd/0x1fd
 [<ffffffff8105cc5f>] ? run_workqueue+0xac/0x1fd
 [<ffffffff8106fbc8>] ? trace_hardirqs_on_caller+0x12f/0x153
 [<ffffffff8105ce9f>] worker_thread+0xef/0x100
 [<ffffffff81060d46>] ? autoremove_wake_function+0x0/0x39
 [<ffffffff8105cdb0>] ? worker_thread+0x0/0x100
 [<ffffffff8105cdb0>] ? worker_thread+0x0/0x100
 [<ffffffff810609ad>] kthread+0x4d/0x78
 [<ffffffff810126aa>] child_rip+0xa/0x20
 [<ffffffff8100f88b>] ? __switch_to+0x190/0x398
 [<ffffffff81011fbe>] ? restore_args+0x0/0x30
 [<ffffffff81060960>] ? kthread+0x0/0x78
 [<ffffffff810126a0>] ? child_rip+0x0/0x20
---[ end trace 67afa24243f21d1e ]---
ODEBUG: object is on stack, but not annotated
------------[ cut here ]------------
WARNING: at lib/debugobjects.c:253 __debug_object_init+0x2a0/0x33d() (Tainted: G        W )
Hardware name: Precision WorkStation T7400  
Modules linked in: ext4 jbd2 crc16 squashfs firewire_ohci(+) pata_acpi firewire_core mptsas(+) crc_itu_t ata_generic mptscsih nouveau mptbase scsi_transport_sas drm i2c_core
Pid: 36, comm: work_on_cpu/0 Tainted: G        W  2.6.29-0.258.2.3.rc8.git2.fc11.x86_64 #1
Call Trace:
 [<ffffffff8104bae3>] warn_slowpath+0xbc/0xf0
 [<ffffffff8104c0ba>] ? release_console_sem+0x1c3/0x1f4
 [<ffffffff81071064>] ? print_lock_contention_bug+0x1b/0xe1
 [<ffffffff811a2ab9>] ? __debug_object_init+0x315/0x33d
 [<ffffffff81393b9b>] ? printk+0x41/0x46
 [<ffffffff811a2a44>] __debug_object_init+0x2a0/0x33d
 [<ffffffff811a2b0e>] debug_object_init+0x14/0x16
 [<ffffffff81055ea2>] init_timer+0x1d/0x60
 [<ffffffffa005423c>] mpt_config+0x1d2/0x2e6 [mptbase]
 [<ffffffff811a5f22>] ? swiotlb_free_coherent+0x6e/0x97
 [<ffffffffa0053207>] ? pci_free_consistent+0x8b/0x97 [mptbase]
 [<ffffffffa0058594>] mpt_do_ioc_recovery+0x1344/0x1560 [mptbase]
 [<ffffffffa0058979>] ? mpt_timer_expired+0x0/0x66 [mptbase]
 [<ffffffff81014252>] ? dump_trace+0x256/0x268
 [<ffffffff8106deaf>] ? find_usage_backwards+0x3b/0x103
 [<ffffffff8101c37f>] ? save_stack_trace+0x2f/0x4c
 [<ffffffff8106ea23>] ? save_trace+0x3f/0x95
 [<ffffffff8106f617>] ? mark_lock+0x28/0x37f
 [<ffffffff8106f617>] ? mark_lock+0x28/0x37f
 [<ffffffff8106f617>] ? mark_lock+0x28/0x37f
 [<ffffffff8106f9d6>] ? mark_held_locks+0x68/0x86
 [<ffffffff813967de>] ? _spin_unlock_irqrestore+0x48/0x58
 [<ffffffff8106fbc8>] ? trace_hardirqs_on_caller+0x12f/0x153
 [<ffffffff8106fbf9>] ? trace_hardirqs_on+0xd/0xf
 [<ffffffff8119bc2d>] ? __up_read+0x76/0x7f
 [<ffffffff810645dc>] ? up_read+0x2b/0x2f
 [<ffffffffa005951d>] mpt_attach+0x8b2/0xa11 [mptbase]
 [<ffffffff8105cac4>] ? do_work_for_cpu+0x0/0x20
 [<ffffffffa00dd5a7>] mptsas_probe+0x1e/0x46e [mptsas]
 [<ffffffff8105cac4>] ? do_work_for_cpu+0x0/0x20
 [<ffffffff811ad085>] local_pci_probe+0x17/0x1b
 [<ffffffff8105cadc>] do_work_for_cpu+0x18/0x20
 [<ffffffff8105ccb0>] run_workqueue+0xfd/0x1fd
 [<ffffffff8105cc5f>] ? run_workqueue+0xac/0x1fd
 [<ffffffff8106fbc8>] ? trace_hardirqs_on_caller+0x12f/0x153
 [<ffffffff8105ce9f>] worker_thread+0xef/0x100
 [<ffffffff81060d46>] ? autoremove_wake_function+0x0/0x39
 [<ffffffff8105cdb0>] ? worker_thread+0x0/0x100
 [<ffffffff8105cdb0>] ? worker_thread+0x0/0x100
 [<ffffffff810609ad>] kthread+0x4d/0x78
 [<ffffffff810126aa>] child_rip+0xa/0x20
 [<ffffffff8100f88b>] ? __switch_to+0x190/0x398
 [<ffffffff81011fbe>] ? restore_args+0x0/0x30
 [<ffffffff81060960>] ? kthread+0x0/0x78
 [<ffffffff810126a0>] ? child_rip+0x0/0x20
---[ end trace 67afa24243f21d1f ]---

system information:

[root@dell-t7400 ~]# lspci
00:00.0 Host bridge: Intel Corporation 5400 Chipset Memory Controller Hub (rev 20)
00:01.0 PCI bridge: Intel Corporation 5400 Chipset PCI Express Port 1 (rev 20)
00:05.0 PCI bridge: Intel Corporation 5400 Chipset PCI Express Port 5 (rev 20)
00:09.0 PCI bridge: Intel Corporation 5400 Chipset PCI Express Port 9 (rev 20)
00:10.0 Host bridge: Intel Corporation 5400 Chipset FSB Registers (rev 20)
00:10.1 Host bridge: Intel Corporation 5400 Chipset FSB Registers (rev 20)
00:10.2 Host bridge: Intel Corporation 5400 Chipset FSB Registers (rev 20)
00:10.3 Host bridge: Intel Corporation 5400 Chipset FSB Registers (rev 20)
00:10.4 Host bridge: Intel Corporation 5400 Chipset FSB Registers (rev 20)
00:11.0 Host bridge: Intel Corporation 5400 Chipset CE/SF Registers (rev 20)
00:15.0 Host bridge: Intel Corporation 5400 Chipset FBD Registers (rev 20)
00:15.1 Host bridge: Intel Corporation 5400 Chipset FBD Registers (rev 20)
00:16.0 Host bridge: Intel Corporation 5400 Chipset FBD Registers (rev 20)
00:16.1 Host bridge: Intel Corporation 5400 Chipset FBD Registers (rev 20)
00:1b.0 Audio device: Intel Corporation 631xESB/632xESB High Definition Audio Controller (rev 09)
00:1c.0 PCI bridge: Intel Corporation 631xESB/632xESB/3100 Chipset PCI Express Root Port 1 (rev 09)
00:1d.0 USB Controller: Intel Corporation 631xESB/632xESB/3100 Chipset UHCI USB Controller #1 (rev 09)
00:1d.1 USB Controller: Intel Corporation 631xESB/632xESB/3100 Chipset UHCI USB Controller #2 (rev 09)
00:1d.2 USB Controller: Intel Corporation 631xESB/632xESB/3100 Chipset UHCI USB Controller #3 (rev 09)
00:1d.3 USB Controller: Intel Corporation 631xESB/632xESB/3100 Chipset UHCI USB Controller #4 (rev 09)
00:1d.7 USB Controller: Intel Corporation 631xESB/632xESB/3100 Chipset EHCI USB2 Controller (rev 09)
00:1e.0 PCI bridge: Intel Corporation 82801 PCI Bridge (rev d9)
00:1f.0 ISA bridge: Intel Corporation 631xESB/632xESB/3100 Chipset LPC Interface Controller (rev 09)
00:1f.1 IDE interface: Intel Corporation 631xESB/632xESB IDE Controller (rev 09)
00:1f.2 SATA controller: Intel Corporation 631xESB/632xESB SATA AHCI Controller (rev 09)
00:1f.3 SMBus: Intel Corporation 631xESB/632xESB/3100 Chipset SMBus Controller (rev 09)
02:00.0 VGA compatible controller: nVidia Corporation G80 [GeForce 8800 GTX] (rev a2)
03:00.0 PCI bridge: Intel Corporation 6311ESB/6321ESB PCI Express Upstream Port (rev 01)
03:00.3 PCI bridge: Intel Corporation 6311ESB/6321ESB PCI Express to PCI-X Bridge (rev 01)
04:00.0 PCI bridge: Intel Corporation 6311ESB/6321ESB PCI Express Downstream Port E1 (rev 01)
04:01.0 PCI bridge: Intel Corporation 6311ESB/6321ESB PCI Express Downstream Port E2 (rev 01)
05:00.0 SCSI storage controller: LSI Logic / Symbios Logic SAS1068E PCI-Express Fusion-MPT SAS (rev 08)
08:00.0 Ethernet controller: Broadcom Corporation NetXtreme BCM5754 Gigabit Ethernet PCI Express (rev 02)
09:0a.0 FireWire (IEEE 1394): Texas Instruments TSB43AB22/A IEEE-1394a-2000 Controller (PHY/Link)
Comment 1 Chuck Ebbert 2009-04-03 11:11:26 EDT
They key part is this warning:
ODEBUG: object is on stack, but not annotated
Comment 2 Frederic TEMPORELLI 2009-04-21 04:51:05 EDT
same issue with mptsas,
reported for each disk




ioc0: LSISAS1068 B0: Capabilities={Initiator}
ODEBUG: object is on stack, but not annotated
------------[ cut here ]------------
WARNING: at lib/debugobjects.c:253 __debug_object_init+0x2a0/0x33d() (Not tainted)
Hardware name: NovaScale R460 [N8100-1247E]
Modules linked in: mptsas(+) mptscsih mptbase scsi_transport_sas
Pid: 20, comm: work_on_cpu/0 Not tainted 2.6.29-0.258.2.3.rc8.git2.fc11.x86_64 #1
Call Trace:
 [<ffffffff8104bae3>] warn_slowpath+0xbc/0xf0
 [<ffffffff8104c0ba>] ? release_console_sem+0x1c3/0x1f4
 [<ffffffff8101781b>] ? native_sched_clock+0x2d/0x5a
 [<ffffffff81393b9b>] ? printk+0x41/0x46
 [<ffffffff811a2a44>] __debug_object_init+0x2a0/0x33d
 [<ffffffff811a2b0e>] debug_object_init+0x14/0x16
 [<ffffffff81055ea2>] init_timer+0x1d/0x60
 [<ffffffffa001023c>] mpt_config+0x1d2/0x2e6 [mptbase]
 [<ffffffff8106d581>] ? debug_mutex_init+0x31/0x44
 [<ffffffffa00144d0>] mpt_do_ioc_recovery+0x1280/0x1560 [mptbase]
 [<ffffffff8106f617>] ? mark_lock+0x28/0x37f
 [<ffffffff8105eb80>] ? __kernel_text_address+0x42/0x4d
 [<ffffffff81014d35>] ? print_context_stack+0xae/0xcd
 [<ffffffff81014252>] ? dump_trace+0x256/0x268
 [<ffffffff8106deaf>] ? find_usage_backwards+0x3b/0x103
 [<ffffffff8101c37f>] ? save_stack_trace+0x2f/0x4c
 [<ffffffff8106ea23>] ? save_trace+0x3f/0x95
 [<ffffffff8106f617>] ? mark_lock+0x28/0x37f
 [<ffffffff8106f617>] ? mark_lock+0x28/0x37f
 [<ffffffff8106f617>] ? mark_lock+0x28/0x37f
 [<ffffffff8106f9d6>] ? mark_held_locks+0x68/0x86
 [<ffffffff813967de>] ? _spin_unlock_irqrestore+0x48/0x58
 [<ffffffff8106fbc8>] ? trace_hardirqs_on_caller+0x12f/0x153
 [<ffffffff8106fbf9>] ? trace_hardirqs_on+0xd/0xf
 [<ffffffff8119bc2d>] ? __up_read+0x76/0x7f
 [<ffffffff810645dc>] ? up_read+0x2b/0x2f
 [<ffffffffa001551d>] mpt_attach+0x8b2/0xa11 [mptbase]
 [<ffffffff8105cac4>] ? do_work_for_cpu+0x0/0x20
 [<ffffffffa00325a7>] mptsas_probe+0x1e/0x46e [mptsas]
 [<ffffffff8105cac4>] ? do_work_for_cpu+0x0/0x20
 [<ffffffff811ad085>] local_pci_probe+0x17/0x1b
 [<ffffffff8105cadc>] do_work_for_cpu+0x18/0x20
 [<ffffffff8105ccb0>] run_workqueue+0xfd/0x1fd
 [<ffffffff8105cc5f>] ? run_workqueue+0xac/0x1fd
 [<ffffffff8106fbc8>] ? trace_hardirqs_on_caller+0x12f/0x153
 [<ffffffff8105ce9f>] worker_thread+0xef/0x100
 [<ffffffff81060d46>] ? autoremove_wake_function+0x0/0x39
 [<ffffffff8105cdb0>] ? worker_thread+0x0/0x100
 [<ffffffff8105cdb0>] ? worker_thread+0x0/0x100
 [<ffffffff810609ad>] kthread+0x4d/0x78
 [<ffffffff810126aa>] child_rip+0xa/0x20
 [<ffffffff8100f88b>] ? __switch_to+0x190/0x398
 [<ffffffff81011fbe>] ? restore_args+0x0/0x30
 [<ffffffff81060960>] ? kthread+0x0/0x78
 [<ffffffff810126a0>] ? child_rip+0x0/0x20
---[ end trace 59eb1ee8155b0d46 ]---

00:00.0 Host bridge: Intel Corporation 5000P Chipset Memory Controller Hub (rev b1)
00:02.0 PCI bridge: Intel Corporation 5000 Series Chipset PCI Express x8 Port 2-3 (rev b1)
00:03.0 PCI bridge: Intel Corporation 5000 Series Chipset PCI Express x4 Port 3 (rev b1)
00:04.0 PCI bridge: Intel Corporation 5000 Series Chipset PCI Express x8 Port 4-5 (rev b1)
00:05.0 PCI bridge: Intel Corporation 5000 Series Chipset PCI Express x4 Port 5 (rev b1)
00:06.0 PCI bridge: Intel Corporation 5000 Series Chipset PCI Express x4 Port 6 (rev b1)
00:07.0 PCI bridge: Intel Corporation 5000 Series Chipset PCI Express x4 Port 7 (rev b1)
00:08.0 System peripheral: Intel Corporation 5000 Series Chipset DMA Engine (rev b1)
00:10.0 Host bridge: Intel Corporation 5000 Series Chipset FSB Registers (rev b1)
00:10.1 Host bridge: Intel Corporation 5000 Series Chipset FSB Registers (rev b1)
00:10.2 Host bridge: Intel Corporation 5000 Series Chipset FSB Registers (rev b1)
00:11.0 Host bridge: Intel Corporation 5000 Series Chipset Reserved Registers (rev b1)
00:13.0 Host bridge: Intel Corporation 5000 Series Chipset Reserved Registers (rev b1)
00:15.0 Host bridge: Intel Corporation 5000 Series Chipset FBD Registers (rev b1)
00:16.0 Host bridge: Intel Corporation 5000 Series Chipset FBD Registers (rev b1)
00:1c.0 PCI bridge: Intel Corporation 631xESB/632xESB/3100 Chipset PCI Express Root Port 1 (rev 09)
00:1d.0 USB Controller: Intel Corporation 631xESB/632xESB/3100 Chipset UHCI USB Controller #1 (rev 09)
00:1d.1 USB Controller: Intel Corporation 631xESB/632xESB/3100 Chipset UHCI USB Controller #2 (rev 09)
00:1d.2 USB Controller: Intel Corporation 631xESB/632xESB/3100 Chipset UHCI USB Controller #3 (rev 09)
00:1d.3 USB Controller: Intel Corporation 631xESB/632xESB/3100 Chipset UHCI USB Controller #4 (rev 09)
00:1d.7 USB Controller: Intel Corporation 631xESB/632xESB/3100 Chipset EHCI USB2 Controller (rev 09)
00:1e.0 PCI bridge: Intel Corporation 82801 PCI Bridge (rev d9)
00:1f.0 ISA bridge: Intel Corporation 631xESB/632xESB/3100 Chipset LPC Interface Controller (rev 09)
00:1f.1 IDE interface: Intel Corporation 631xESB/632xESB IDE Controller (rev 09)
00:1f.2 SATA controller: Intel Corporation 631xESB/632xESB SATA AHCI Controller (rev 09)
00:1f.3 SMBus: Intel Corporation 631xESB/632xESB/3100 Chipset SMBus Controller (rev 09)
01:00.0 PCI bridge: Intel Corporation 6311ESB/6321ESB PCI Express Upstream Port (rev 01)
01:00.3 PCI bridge: Intel Corporation 6311ESB/6321ESB PCI Express to PCI-X Bridge (rev 01)
02:00.0 PCI bridge: Intel Corporation 6311ESB/6321ESB PCI Express Downstream Port E1 (rev 01)
02:02.0 PCI bridge: Intel Corporation 6311ESB/6321ESB PCI Express Downstream Port E3 (rev 01)
0c:00.0 Ethernet controller: Intel Corporation 80003ES2LAN Gigabit Ethernet Controller (Copper) (rev 01)
0c:00.1 Ethernet controller: Intel Corporation 80003ES2LAN Gigabit Ethernet Controller (Copper) (rev 01)
0d:03.0 Fibre Channel: Emulex Corporation Helios-X LightPulse Fibre Channel Host Adapter (rev 01)
0d:05.0 SCSI storage controller: LSI Logic / Symbios Logic SAS1068 PCI-X Fusion-MPT SAS (rev 01)
0d:09.0 Fibre Channel: Emulex Corporation Helios-X LightPulse Fibre Channel Host Adapter (rev 01)
18:00.0 InfiniBand: Mellanox Technologies MT25208 [InfiniHost III Ex] (rev 20)
24:00.0 VGA compatible controller: Matrox Graphics, Inc. MGA G200e [Pilot] ServerEngines (SEP1) (rev 02)
Comment 3 Frederic TEMPORELLI 2009-04-21 07:41:59 EDT
no more message with kernel 2.6.29.1-100.fc11.x86_64 (seems ok)
Comment 4 Bug Zapper 2009-06-09 09:07:51 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Bug Zapper 2010-04-27 09:27:31 EDT
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 6 Bug Zapper 2010-06-28 07:40:13 EDT
Fedora 11 changed to end-of-life (EOL) status on 2010-06-25. Fedora 11 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.